# Class VariantVcfEntry

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Variant
org.snpeff.vcf.VariantVcfEntry

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class VariantVcfEntry extends Variant
Variant + VcfEntry This is used to 'outer-join' a VcfEntry into all its constituent variants. IMPORTANT: The reason why we need this is because a VcfEntry may have multiple variants (e.g. multiallelic entry). These entries may need to be added multiple times to different nodes in an interval tree.

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class Variant

`Variant.VariantType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected VcfEntry`
`vcfEntry`

### Fields inherited from class Variant

`alt, genotype, HUGE_DELETION_RATIO_THRESHOLD, HUGE_DELETION_SIZE_THRESHOLD, imprecise, NO_VARIANT, ref, variantType`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`VariantVcfEntry(Variant variant, VcfEntry vcfEntry)`

## Method Summary

Modifier and Type
Method
Description
`static Collection<VariantVcfEntry>`
`factory(VcfEntry vcfEntry)`
Create a collection of all invalid input: '<'Variant, VcfEntry>
`VcfEntry`
`getVcfEntry()`
`String`
`toString()`

### Methods inherited from class Variant

`clone, cloneShallow, compareTo, decompose, factory, getAlt, getGenotype, getReference, getVariantType, hashCode, isBnd, isDel, isDup, isElongation, isImprecise, isInDel, isIns, isInterval, isInv, isMixed, isMnp, isNonRef, isShowWarningIfParentDoesNotInclude, isSnp, isStructural, isStructuralHuge, isTruncation, isVariant, lengthChange, netChange, netChange, realignLeft, reverse, setGenotype, setImprecise, setVariantType, toStringEnsembl, toStringOld`

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, codonTable, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### vcfEntry

protected VcfEntry vcfEntry

## Constructor Details

### VariantVcfEntry

public VariantVcfEntry(Variant variant, VcfEntry vcfEntry)

## Method Details

### factory

public static Collection<VariantVcfEntry> factory(VcfEntry vcfEntry)
Create a collection of all invalid input: '<'Variant, VcfEntry>

### getVcfEntry

public VcfEntry getVcfEntry()

### toString

public String toString()

Overrides:
  `toString` in class `Variant`